Index: /trunk/include/FlairSensorActuator/BlCtrlV2_x4_speed.h
===================================================================
--- /trunk/include/FlairSensorActuator/BlCtrlV2_x4_speed.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/BlCtrlV2_x4_speed.h	(revision 13)
@@ -16,5 +16,4 @@
 /*********************************************************************/
 
-
 #ifndef BLCTRLV2_X4_SPEED_H
 #define BLCTRLV2_X4_SPEED_H
@@ -23,96 +22,91 @@
 #include <Thread.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class cvmatrix;
-        class FrameworkManager;
-        class I2cPort;
-
-    }
-    namespace gui
-    {
-        class TabWidget;
-        class Tab;
-        class SpinBox;
-        class DoubleSpinBox;
-        class ComboBox;
-        class PushButton;
-        class GroupBox;
-    }
+namespace flair {
+namespace core {
+class cvmatrix;
+class FrameworkManager;
+class I2cPort;
+}
+namespace gui {
+class TabWidget;
+class Tab;
+class SpinBox;
+class DoubleSpinBox;
+class ComboBox;
+class PushButton;
+class GroupBox;
+}
 }
 
-namespace flair
-{
-namespace actuator
-{
-    class BlCtrlV2_x4_speed : public core::Thread,public core::IODevice
-    {
+namespace flair {
+namespace actuator {
+class BlCtrlV2_x4_speed : public core::Thread, public core::IODevice {
 
-        public:
-            BlCtrlV2_x4_speed(core::FrameworkManager* parent,std::string name,core::I2cPort* i2cport,uint8_t base_address,uint8_t priority);
-            ~BlCtrlV2_x4_speed();
-            void UseDefaultPlot(void);
-            void LockUserInterface(void);
-            void UnlockUserInterface(void);
-            void SetEnabled(bool status);
-            void SetUroll(float value);
-            void SetUpitch(float value);
-            void SetUyaw(float value);
-            void SetUgaz(float value);
-            void SetRollTrim(float value);
-            void SetPitchTrim(float value);
-            void SetYawTrim(float value);
-            void SetGazTrim(float value);
-            float TrimValue(void);
-            int StartValue(void);
+public:
+  BlCtrlV2_x4_speed(core::FrameworkManager *parent, std::string name,
+                    core::I2cPort *i2cport, uint8_t base_address,
+                    uint8_t priority);
+  ~BlCtrlV2_x4_speed();
+  void UseDefaultPlot(void);
+  void LockUserInterface(void);
+  void UnlockUserInterface(void);
+  void SetEnabled(bool status);
+  void SetUroll(float value);
+  void SetUpitch(float value);
+  void SetUyaw(float value);
+  void SetUgaz(float value);
+  void SetRollTrim(float value);
+  void SetPitchTrim(float value);
+  void SetYawTrim(float value);
+  void SetGazTrim(float value);
+  float TrimValue(void);
+  int StartValue(void);
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(core::io_data *data){};
-            void WriteValue(uint16_t value);
-            float GetSpeed(void);
-            void StartTest(void);
-            void StopTest(void);
-            /*!
-            * \brief Run function
-            *
-            * Reimplemented from Thread.
-            *
-            */
-            void Run(void);
-            void Update(void);
-            gui::Tab* main_tab;
-            gui::TabWidget* tab;
-            gui::GroupBox* reglages_groupbox;
-            gui::SpinBox *min,*max,*test;
-            gui::PushButton *button_avg,*button_avd,*button_arg,*button_ard;
-            gui::ComboBox *av_g,*av_d,*ar_g,*ar_d,*pas;
-            gui::DoubleSpinBox *trim,*kp,*ki;
-            gui::SpinBox *start_value,*poles;
-            core::Time start_time,flight_start_time;
-            int time_sec;
-            float speed_av_g,speed_av_d,speed_ar_g,speed_ar_d;
-            float int_av_g,int_av_d,int_ar_g,int_ar_d;
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(core::io_data *data){};
+  void WriteValue(uint16_t value);
+  float GetSpeed(void);
+  void StartTest(void);
+  void StopTest(void);
+  /*!
+  * \brief Run function
+  *
+  * Reimplemented from Thread.
+  *
+  */
+  void Run(void);
+  void Update(void);
+  gui::Tab *main_tab;
+  gui::TabWidget *tab;
+  gui::GroupBox *reglages_groupbox;
+  gui::SpinBox *min, *max, *test;
+  gui::PushButton *button_avg, *button_avd, *button_arg, *button_ard;
+  gui::ComboBox *av_g, *av_d, *ar_g, *ar_d, *pas;
+  gui::DoubleSpinBox *trim, *kp, *ki;
+  gui::SpinBox *start_value, *poles;
+  core::Time start_time, flight_start_time;
+  int time_sec;
+  float speed_av_g, speed_av_d, speed_ar_g, speed_ar_d;
+  float int_av_g, int_av_d, int_ar_g, int_ar_d;
 
-            //matrix
-            core::cvmatrix *input;
-            core::cvmatrix *output;
+  // matrix
+  core::cvmatrix *input;
+  core::cvmatrix *output;
 
-            int tested_motor;
-            core::I2cPort* i2cport;
-            uint8_t slave_address;
+  int tested_motor;
+  core::I2cPort *i2cport;
+  uint8_t slave_address;
 
-            bool enabled;
+  bool enabled;
 
-            uint16_t SatPWM(float vel_cons,uint16_t min,uint16_t max);
-    };
+  uint16_t SatPWM(float vel_cons, uint16_t min, uint16_t max);
+};
 } // end namespace actuator
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/Bldc.h
===================================================================
--- /trunk/include/FlairSensorActuator/Bldc.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/Bldc.h	(revision 13)
@@ -17,174 +17,172 @@
 #include <stdint.h>
 
-namespace flair
-{
-    namespace core
-    {
-        class FrameworkManager;
-        class cvmatrix;
-    }
-    namespace gui
-    {
-        class Layout;
-        class TabWidget;
-    }
+namespace flair {
+namespace core {
+class FrameworkManager;
+class cvmatrix;
+}
+namespace gui {
+class Layout;
+class TabWidget;
+}
 }
 
 class Bldc_impl;
 
-namespace flair
-{
-namespace actuator
-{
-    /*! \class Bldc
-    *
-    * \brief Base class for brushless motors drivers
-    */
-    class Bldc : public core::IODevice
-    {
-        friend class ::Bldc_impl;
+namespace flair {
+namespace actuator {
+/*! \class Bldc
+*
+* \brief Base class for brushless motors drivers
+*/
+class Bldc : public core::IODevice {
+  friend class ::Bldc_impl;
 
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Bldc.
-            *
-            * \param parent parent
-            * \param layout layout
-            * \param name name
-            * \param motors_count number of motors
-            */
-            Bldc(const core::IODevice* parent,gui::Layout* layout,std::string name,uint8_t motors_count);
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Bldc.
+  *
+  * \param parent parent
+  * \param layout layout
+  * \param name name
+  * \param motors_count number of motors
+  */
+  Bldc(const core::IODevice *parent, gui::Layout *layout, std::string name,
+       uint8_t motors_count);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Bldc. \n
-            * This contructor must only be called for a simulated device.
-            *
-            * \param parent parent
-            * \param name name
-            * \param motors_count number of motors
-            */
-            Bldc(const core::Object* parent,std::string name,uint8_t motors_count);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Bldc. \n
+  * This contructor must only be called for a simulated device.
+  *
+  * \param parent parent
+  * \param name name
+  * \param motors_count number of motors
+  */
+  Bldc(const core::Object *parent, std::string name, uint8_t motors_count);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Bldc();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Bldc();
 
-            /*!
-            * \brief Lock user interface
-            *
-            */
-            void LockUserInterface(void) const;
+  /*!
+  * \brief Lock user interface
+  *
+  */
+  void LockUserInterface(void) const;
 
-            /*!
-            * \brief Unlock user interface
-            *
-            */
-            void UnlockUserInterface(void) const;
+  /*!
+  * \brief Unlock user interface
+  *
+  */
+  void UnlockUserInterface(void) const;
 
-            /*!
-            * \brief Use default plot
-            *
-            * \param tabwidget TabWidget to draw plots
-            */
-            void UseDefaultPlot(gui::TabWidget* tabwidget);
+  /*!
+  * \brief Use default plot
+  *
+  * \param tabwidget TabWidget to draw plots
+  */
+  void UseDefaultPlot(gui::TabWidget *tabwidget);
 
-            /*!
-            * \brief Output from motors
-            *
-            * First column is real speed if available, secund column is current if available
-            *
-            */
-            core::cvmatrix *Output(void) const;
+  /*!
+  * \brief Output from motors
+  *
+  * First column is real speed if available, secund column is current if
+  *available
+  *
+  */
+  core::cvmatrix *Output(void) const;
 
-            /*!
-            * \brief Motors count
-            *
-            * \return number of motors
-            */
-            uint8_t MotorsCount(void) const;
+  /*!
+  * \brief Motors count
+  *
+  * \return number of motors
+  */
+  uint8_t MotorsCount(void) const;
 
-            /*!
-            * \brief Enable motors
-            *
-            * \param true to enable all motors
-            */
-            void SetEnabled(bool status);
+  /*!
+  * \brief Enable motors
+  *
+  * \param true to enable all motors
+  */
+  void SetEnabled(bool status);
 
-            /*!
-            * \brief Are motors enabled?
-            *
-            * \return true if motors are enabled
-            */
-            bool AreEnabled(void) const;
+  /*!
+  * \brief Are motors enabled?
+  *
+  * \return true if motors are enabled
+  */
+  bool AreEnabled(void) const;
 
-            /*!
-            * \brief Set motor power
-            *
-            * Changes the power (from 0 to 1) of a specific motor. \n
-            * By default power is set to 1 for each motor which has no effect. \n
-            * A value <1 will decrease the power of a motor sent to the reimplemented Bldc class through SetMotors. \n
-            * The power value is applied after applying saturation between min value and max value.
-            * So the resulting value cannot be higher than max value
-            * but it can be lower than min value.
-            *
-            * \param motor_id id of the motor
-            * \param value power value (from 0 to 1)
-            *
-            */
-            void SetPower(int motor_id,float value);
+  /*!
+  * \brief Set motor power
+  *
+  * Changes the power (from 0 to 1) of a specific motor. \n
+  * By default power is set to 1 for each motor which has no effect. \n
+  * A value <1 will decrease the power of a motor sent to the reimplemented Bldc
+  *class through SetMotors. \n
+  * The power value is applied after applying saturation between min value and
+  *max value.
+  * So the resulting value cannot be higher than max value
+  * but it can be lower than min value.
+  *
+  * \param motor_id id of the motor
+  * \param value power value (from 0 to 1)
+  *
+  */
+  void SetPower(int motor_id, float value);
 
-            /*!
-            * \brief Layout
-            *
-            * This the same Layout as passed to the constructor
-            *
-            * \return a Layout
-            */
-            gui::Layout* GetLayout(void) const;
+  /*!
+  * \brief Layout
+  *
+  * This the same Layout as passed to the constructor
+  *
+  * \return a Layout
+  */
+  gui::Layout *GetLayout(void) const;
 
-            /*!
-            * \brief Has speed measurement
-            *
-            * \return true if it has speed measurement
-            */
-            virtual bool HasSpeedMeasurement(void) const=0;
+  /*!
+  * \brief Has speed measurement
+  *
+  * \return true if it has speed measurement
+  */
+  virtual bool HasSpeedMeasurement(void) const = 0;
 
-            /*!
-            * \brief Has current measurement
-            *
-            * \return true if it has current measurement
-            */
-            virtual bool HasCurrentMeasurement(void) const=0;
+  /*!
+  * \brief Has current measurement
+  *
+  * \return true if it has current measurement
+  */
+  virtual bool HasCurrentMeasurement(void) const = 0;
 
-        protected:
-            core::cvmatrix *output;
+protected:
+  core::cvmatrix *output;
 
-        private:
-            /*!
-            * \brief Update using provided datas
-            *
-            * Reimplemented from IODevice.
-            *
-            * \param data data from the parent to process
-            */
-            void UpdateFrom(const core::io_data *data);
+private:
+  /*!
+  * \brief Update using provided datas
+  *
+  * Reimplemented from IODevice.
+  *
+  * \param data data from the parent to process
+  */
+  void UpdateFrom(const core::io_data *data);
 
-            /*!
-            * \brief Set motors values
-            *
-            * values size must be the same as MotorsCount()
-            *
-            * \param values set motors values
-            */
-            virtual void SetMotors(float* values)=0;
+  /*!
+  * \brief Set motors values
+  *
+  * values size must be the same as MotorsCount()
+  *
+  * \param values set motors values
+  */
+  virtual void SetMotors(float *values) = 0;
 
-            class Bldc_impl* pimpl_;
-    };
+  class Bldc_impl *pimpl_;
+};
 } // end namespace actuator
 } // end namespace framewor
Index: /trunk/include/FlairSensorActuator/Camera.h
===================================================================
--- /trunk/include/FlairSensorActuator/Camera.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/Camera.h	(revision 13)
@@ -18,129 +18,125 @@
 #include <cvimage.h>
 
-namespace flair
-{
-    namespace gui
-    {
-        class GroupBox;
-        class Tab;
-        class TabWidget;
-        class Picture;
-        class GridLayout;
-    }
+namespace flair {
+namespace gui {
+class GroupBox;
+class Tab;
+class TabWidget;
+class Picture;
+class GridLayout;
+}
 }
 
-namespace flair
-{
-namespace sensor
-{
-    /*! \class Camera
-    *
-    * \brief Base class for Camera
-    *
-    * Use this class to define a custom Camera.
-    *
-    */
-    class Camera : public core::IODevice
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Camera.
-            *
-            * \param parent parent
-            * \param name name
-            * \param width width
-            * \param height height
-            * \param format image format
-            */
-            Camera(const core::FrameworkManager* parent,std::string name,uint16_t width,uint16_t height,core::cvimage::Type::Format format);
+namespace flair {
+namespace sensor {
+/*! \class Camera
+*
+* \brief Base class for Camera
+*
+* Use this class to define a custom Camera.
+*
+*/
+class Camera : public core::IODevice {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Camera.
+  *
+  * \param parent parent
+  * \param name name
+  * \param width width
+  * \param height height
+  * \param format image format
+  */
+  Camera(const core::FrameworkManager *parent, std::string name, uint16_t width,
+         uint16_t height, core::cvimage::Type::Format format);
 
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Camera. \n
-            * This contructor must only be called for a simulated device.
-            *
-            * \param parent parent
-            * \param name name
-            */
-            Camera(const core::IODevice* parent,std::string name);
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Camera. \n
+  * This contructor must only be called for a simulated device.
+  *
+  * \param parent parent
+  * \param name name
+  */
+  Camera(const core::IODevice *parent, std::string name);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Camera();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Camera();
 
-            /*!
-            * \brief Use default plot
-            *
-            * \param image image to display
-            */
-            void UseDefaultPlot(const core::cvimage *image);
+  /*!
+  * \brief Use default plot
+  *
+  * \param image image to display
+  */
+  void UseDefaultPlot(const core::cvimage *image);
 
-            /*!
-            * \brief get Layout
-            *
-            * \return a Layout available
-            */
-            gui::GridLayout* GetLayout(void) const;
+  /*!
+  * \brief get Layout
+  *
+  * \return a Layout available
+  */
+  gui::GridLayout *GetLayout(void) const;
 
-            /*!
-            * \brief plot tab
-            *
-            * \return plot tab
-            */
-            gui::Tab* GetPlotTab(void) const;
+  /*!
+  * \brief plot tab
+  *
+  * \return plot tab
+  */
+  gui::Tab *GetPlotTab(void) const;
 
-            /*!
-            * \brief Save picture to file
-            *
-            * \param filename filename
-            */
-            void SaveToFile(std::string filename) const;
+  /*!
+  * \brief Save picture to file
+  *
+  * \param filename filename
+  */
+  void SaveToFile(std::string filename) const;
 
-            /*!
-            * \brief Width
-            *
-            * \return width
-            */
-            uint16_t Width(void) const;
+  /*!
+  * \brief Width
+  *
+  * \return width
+  */
+  uint16_t Width(void) const;
 
-            /*!
-            * \brief Height
-            *
-            * \return height
-            */
-            uint16_t Height(void) const;
+  /*!
+  * \brief Height
+  *
+  * \return height
+  */
+  uint16_t Height(void) const;
 
-             /*!
-            * \brief Output matrix
-            *
-            * Output matrix is of the same size as declared in constructor. \n
-            *
-            * \return the output matrix
-            */
-            core::cvimage* Output(void);
+  /*!
+ * \brief Output matrix
+ *
+ * Output matrix is of the same size as declared in constructor. \n
+ *
+ * \return the output matrix
+ */
+  core::cvimage *Output(void);
 
-            core::DataType const &GetOutputDataType() const;
+  core::DataType const &GetOutputDataType() const;
 
-        protected:
-            /*!
-            * \brief get GroupBox
-            *
-            * \return a GroupBox available
-            */
-            gui::GroupBox* GetGroupBox(void) const;
+protected:
+  /*!
+  * \brief get GroupBox
+  *
+  * \return a GroupBox available
+  */
+  gui::GroupBox *GetGroupBox(void) const;
 
-            core::cvimage *output;
+  core::cvimage *output;
 
-        private:
-            gui::Tab *main_tab,*sensor_tab,*plot_tab;
-            gui::TabWidget *tab;
-            gui::GroupBox* setup_groupbox;
-            gui::GridLayout* setup_layout;
-    };
+private:
+  gui::Tab *main_tab, *sensor_tab, *plot_tab;
+  gui::TabWidget *tab;
+  gui::GroupBox *setup_groupbox;
+  gui::GridLayout *setup_layout;
+};
 } // end namespace sensor
 } // end namespace flair
Index: /trunk/include/FlairSensorActuator/Controller.h
===================================================================
--- /trunk/include/FlairSensorActuator/Controller.h	(revision 12)
+++ /trunk/include/FlairSensorActuator/Controller.h	(revision 13)
@@ -23,66 +23,72 @@
 
 namespace flair {
-    namespace core {
-        class Message;
-    }
+namespace core {
+class Message;
+}
 }
 
-namespace flair { namespace sensor {
+namespace flair {
+namespace sensor {
 
-    enum class ControllerAction {
-        SetLedOn,
-        SetLedOff,
-        Rumble,
-        FlashLed,
-        Exit
-    };
+enum class ControllerAction { SetLedOn, SetLedOff, Rumble, FlashLed, Exit };
 
-    class RumbleMessage: public core::Message {
-    public:
-        RumbleMessage(unsigned int leftForce,unsigned int leftTimeout,unsigned int rightForce,unsigned int rightTimeout);
-        unsigned int GetLeftForce() const;
-        unsigned int GetLeftTimeout() const;
-        unsigned int GetRightForce() const;
-        unsigned int GetRightTimeout() const;
-        void SetLeftForce(unsigned int leftForce);
-        void SetLeftTimeout(unsigned int leftTimeout);
-        void SetRightForce(unsigned int rightForce);
-        void SetRightTimeout(unsigned int rightTimeout);
-    private:
-        static const unsigned int leftForceOffset=sizeof(ControllerAction);
-        static const unsigned int leftTimeoutOffset=sizeof(ControllerAction)+sizeof(unsigned int);
-        static const unsigned int rightForceOffset=sizeof(ControllerAction)+2*sizeof(unsigned int);
-        static const unsigned int rightTimeoutOffset=sizeof(ControllerAction)+3*sizeof(unsigned int);
-    };
+class RumbleMessage : public core::Message {
+public:
+  RumbleMessage(unsigned int leftForce, unsigned int leftTimeout,
+                unsigned int rightForce, unsigned int rightTimeout);
+  unsigned int GetLeftForce() const;
+  unsigned int GetLeftTimeout() const;
+  unsigned int GetRightForce() const;
+  unsigned int GetRightTimeout() const;
+  void SetLeftForce(unsigned int leftForce);
+  void SetLeftTimeout(unsigned int leftTimeout);
+  void SetRightForce(unsigned int rightForce);
+  void SetRightTimeout(unsigned int rightTimeout);
 
-    class SwitchLedMessage: public core::Message {
-    public:
-        SwitchLedMessage(bool isOn,unsigned int ledId);
-        bool IsOn() const;
-        unsigned int GetLedId() const;
-        void SetOn();
-        void SetOff();
-        void SetLedId(unsigned int ledId);
-    private:
-        static const unsigned int isOnOffset=sizeof(ControllerAction);
-        static const unsigned int ledIdOffset=sizeof(ControllerAction)+sizeof(bool);
-    };
+private:
+  static const unsigned int leftForceOffset = sizeof(ControllerAction);
+  static const unsigned int leftTimeoutOffset =
+      sizeof(ControllerAction) + sizeof(unsigned int);
+  static const unsigned int rightForceOffset =
+      sizeof(ControllerAction) + 2 * sizeof(unsigned int);
+  static const unsigned int rightTimeoutOffset =
+      sizeof(ControllerAction) + 3 * sizeof(unsigned int);
+};
 
-    class FlashLedMessage: public core::Message {
-    public:
-        FlashLedMessage(unsigned int ledId,unsigned int onTime,unsigned int offTime);
-        unsigned int GetLedId() const;
-        unsigned int GetOnTime() const;
-        unsigned int GetOffTime() const;
-        void SetLedId(unsigned int ledId);
-        void SetOnTime(unsigned int onTime);
-        void SetOffTime(unsigned int offTime);
-    private:
-        static const unsigned int ledIdOffset=sizeof(ControllerAction);
-        static const unsigned int onTimeOffset=sizeof(ControllerAction)+sizeof(unsigned int);
-        static const unsigned int offTimeOffset=sizeof(ControllerAction)+2*sizeof(unsigned int);
-    };
+class SwitchLedMessage : public core::Message {
+public:
+  SwitchLedMessage(bool isOn, unsigned int ledId);
+  bool IsOn() const;
+  unsigned int GetLedId() const;
+  void SetOn();
+  void SetOff();
+  void SetLedId(unsigned int ledId);
 
-}}
+private:
+  static const unsigned int isOnOffset = sizeof(ControllerAction);
+  static const unsigned int ledIdOffset =
+      sizeof(ControllerAction) + sizeof(bool);
+};
+
+class FlashLedMessage : public core::Message {
+public:
+  FlashLedMessage(unsigned int ledId, unsigned int onTime,
+                  unsigned int offTime);
+  unsigned int GetLedId() const;
+  unsigned int GetOnTime() const;
+  unsigned int GetOffTime() const;
+  void SetLedId(unsigned int ledId);
+  void SetOnTime(unsigned int onTime);
+  void SetOffTime(unsigned int offTime);
+
+private:
+  static const unsigned int ledIdOffset = sizeof(ControllerAction);
+  static const unsigned int onTimeOffset =
+      sizeof(ControllerAction) + sizeof(unsigned int);
+  static const unsigned int offTimeOffset =
+      sizeof(ControllerAction) + 2 * sizeof(unsigned int);
+};
+}
+}
 
 #endif // CONTROLLER_H
